Bug 739997 - Review Request: undertaker - Find always-on and always-off conditional C code
Summary: Review Request: undertaker - Find always-on and always-off conditional C code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 16:16 UTC by Jerry James
Modified: 2011-11-05 01:21 UTC (History)
4 users (show)

Fixed In Version: undertaker-1.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-05 01:21:48 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2011-09-20 16:16:51 UTC
Spec URL: http://jjames.fedorapeople.org/undertaker/undertaker.spec
SRPM URL: http://jjames.fedorapeople.org/undertaker/undertaker-1.2-1.fc15.src.rpm
Description: The undertaker is an implementation of the Vamos project's preprocessor and configuration analysis approaches.  It can check the structure of preprocessor directives against different configuration models to find blocks that can't be selected or deselected.

This SRPM has been build-tested with mock, fedora-15-x86_64 and fedora-rawhide-i386 configurations.

Comment 1 Gwyn Ciesla 2011-10-17 15:57:44 UTC
Good:

- rpmlint checks return:

undertaker.x86_64: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, compressor
The value of this tag appears to be misspelled. Please double-check.

Ignore.

undertaker.x86_64: W: no-manual-page-for-binary undertaker-calc-coverage
Each executable in standard binary directories should have a man page.

undertaker.x86_64: W: no-manual-page-for-binary zizler
Each executable in standard binary directories should have a man page.

Nice to have, but if they don't publish one. . .

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2 and GPLv3+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR  Mock build is good.
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.

Comment 2 Jerry James 2011-10-17 21:41:18 UTC
Thanks for the review, Jon!

New Package SCM Request
=======================
Package Name: undertaker
Short Description: Find always-on and always-off conditional C code
Owners: jjames
Branches: f16
InitialCC:

Comment 3 Gwyn Ciesla 2011-10-18 00:18:27 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-10-18 03:51:32 UTC
undertaker-1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/undertaker-1.2-1.fc16

Comment 5 Fedora Update System 2011-10-18 07:21:47 UTC
undertaker-1.2-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 6 Fedora Update System 2011-11-05 01:21:48 UTC
undertaker-1.2-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.